:root { /* mainly https://clrs.cc/ */
    --navy: #001F3F;
    --blue: #03F; /* darker blue than clrs.cc */
    --aqua: #7FDBFF;
    --teal: #39CCCC;
    --olive: #3D9970;
    --green: #2ECC40;
    --lime: #01FF70;
    --yellow: #FFDC00;
    --orange: #FF851B;
    --red: #FF4136;
    --maroon: #85144B;
    --fuchsia: #F012BE;
    --purple: #B10DC9;
    --black: #111111;
    --gray: #888888;
    --silver: #DDDDDD;
    
    --monospace-font: DejaVu Sans Mono, Monaco, Lucida Console, Andale Mono, monospace
}


body {
    padding: 0 2rem;
    max-width: 1600px;
    margin: 1rem auto;
    font-family: DejaVu Sans, Verdana, Bitstream Vera Sans, Geneva, sans-serif;
    color: var(--black);
}

header {
    margin: 0 auto;
    max-width: 1200px;
    font-family: var(--monospace-font);
    display: flex;
    justify-content: space-between;
    align-items: baseline;
    flex-wrap: wrap;
}

header #name {
    font-weight: bold;
    font-size: 3rem;
}

header nav {
    flex-grow: 1;
    text-align: right;
}

nav ul {
    list-style: none;
    padding: 0;
    margin: 0;
    font-size: 1.5rem;
    opacity: 70%;
}

nav li {
    display: inline;
}

nav a {
    color: var(--black);
    text-decoration: none;
}

nav a:hover {
    text-decoration: underline;
}

main {
    border-top: 1px solid var(--gray);
    max-width: 1200px;
    margin: auto;
    padding: 2rem;
    font-size: 1.2rem;
    line-height: 1.5em;
}

a.big-link {
    display: block;
    color: var(--blue);
    font-family: var(--monospace-font);
    text-align: center;
}

h1 {
    padding-left: 2rem;
    font-size: 1.5em;
    color: var(--teal);
    font-weight: bold;
}

h2 {
    padding-left: 4rem;
    font-size: 1.2em;
    font-weight: normal;
    color: var(--blue);
    border-bottom: 1px solid var(--silver);
}

h3 {
    padding-left: 6rem;
    font-size: 1.2em;
    font-weight: normal;
    font-style: italic;
    color: var(--navy);
}

.tags {
    color: var(--purple);
    font-family: var(--monospace-font);
    font-size: 0.7em;
    opacity: 0.7;
    padding-left: 5em;
    white-space: nowrap;
}

figure {
    text-align: center;
    font-size: 1.2em;
}

details {
    margin-top: 2em;
}

summary {
    font-size: 1.2em;
    font-weight: normal;
    color: var(--blue);
    border-bottom: 1px solid var(--silver);
    padding-left: 3em;
}

blockquote {
    background-color: #f0f0f0;
    border-left: 3px solid var(--blue);
    padding: 0 10px;
}

pre, code { background-color: #fafafa; }
pre { 
    padding: 10px;
    max-height: 500px;
    overflow-y: scroll;
    border: 1px solid var(--silver);
    font-size: 0.8em;
    line-height: 110%;
}

dt, dd {
    display: inline-block;
}
dt {
    width: 10%;
    font-weight: bold;
}
dd {
    min-width: 85%;
}

footer {
    color: var(--gray);
    max-width: 800px;
    margin: auto;
    text-align: center;
    border-top: 1px solid var(--gray);
    padding-top: 20px;
}
